/* import { getService } from "@apps/server/src/core/service-registry"; */
import { IPackageServer } from "@packages/package";
import { invoicesRouter } from "./intrastructure";
import initInvoiceModel from "./intrastructure/sequelize/invoice.model";

export const InvoicesPackage: IPackageServer = {
  metadata: {
    name: "invoices",
    version: "1.0.0",
    dependencies: ["contacts"],
  },
  init(app) {
    // const contacts = getService<ContactsService>("contacts");
    invoicesRouter(app);
  },
  registerDependencies() {
    return {
      models: [(sequelize) => initInvoiceModel(sequelize)],
      services: {
        getInvoice: () => {},
        /*...*/
      },
    };
  },
};
